# Role: clean_portage

## Description

Runs `emerge --depclean` and `eclean {distfiles,packages}`.

https://wiki.gentoo.org/wiki/Emerge

https://wiki.gentoo.org/wiki/Eclean

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.clean_portage
  vars:
    ...
```

### Vars

`clean_portage_eclean_time_limit`:

File age after eclean starts cleaning up the files.
